proven useful.
the drug war is a war on liberty that cannot possibly be won without the
utter removal of all rights or at least the indefinite suspension thereof.
urine testing is the best emblem of this horrible war; it makes the police
-look like a bunch of perverted piss sniffers. it is not cost effective
+look like a bunch of perverted urine sniffers. it is not cost effective
for testing large numbers of people and it is insanely easy to fake if one
wants to anyway. we need to stop the drug war and start the war on ignorance.
this ignorance is an ignorance of the REAL scientifically determined results
but to be someone.
-- Coco Chanel
~
-In other words, can you forgive the people who have pissed
-you off in the past? If not, it seems like you're trapped
-in their piss. Or yours. Or something.
-~
If someone says 'can't', that shows you what to do.
-- John Cage
~
// condition; the address of a local variable is being returned, making
// the returned object junk in almost all cases.
// 4996 turns off warnings about deprecated functions, which are mostly
- // bullshit, since these are mainly the core posix functions.
+ // nonsense, since these are mainly the core posix functions.
#endif // ms visual c++.
//////////////
# convert framework dir back or things yell like hell.
export FrameworkDir=$(unix_to_dos_path $FrameworkDir)
# the redirection of stderr to null is to get around an obnoxious cygwin
- # warning that seems to be erroneously bitching about backslashes.
+ # warning that seems to be erroneously complaining about backslashes.
# convert all other relevant paths back to dos form, or visual studio barfs.
#export BUILD_SCRIPTS_DIR=$(unix_to_dos_path $BUILD_SCRIPTS_DIR)
--- /dev/null
+#!/bin/bash
+
+# this script looks for any files containing offensive language, but one must
+# fill out the list of inappropriate language to censor. this list is stored
+# in a file in the user's home folder called ".badlanguage".
+# given the bad word list (with one obscenity word per line), this will find
+# any files that have those words in them and print them out.
+
+OBSCENITY_FILE="$HOME/.badlanguage"
+
+if [ ! -f "$OBSCENITY_FILE" ]; then
+ echo "This script requires a file with obscenities at: $OBSCENITY_FILE"
+ echo "The file should contain all obscene words that you wish to locate"
+ echo "in your files. Each obscene word should be listed one per line in"
+ echo "the bad word file."
+ exit 1
+fi
+
+# replace the line feeds with a grep pipe.
+obscene_line="$(echo $(cat $OBSCENITY_FILE) | sed -e 's/ */\\|/g')"
+#echo "obscenities: $obscene_line"
+
+bash "$FEISTY_MEOW_SCRIPTS/buildor/search_code.sh" "$obscene_line" $*
+